2026-05-31  dana  <dana@dana.is>

	* unposted: Config/version.mk: release 5.9.1

2026-05-30  dana  <dana@dana.is>

	* unposted: Completion/Unix/Command/_imagemagick: support .heic
	extension

	* unposted: Completion/Unix/Type/_diff_options: assume diff
	under netbsd is gnu-like

2026-05-27  dana  <dana@dana.is>

	* unposted: NEWS: mention _as_if (w/53174)

2026-05-23  dana  <dana@dana.is>

	* unposted: Config/version.mk, Etc/FAQ.yo: Test release:
	5.9.0.4-test.

	* 54591: Src/Modules/termcap.c, Src/Modules/terminfo.c,
	Src/jobs.c: fix new compiler warnings

2026-05-22  dana  <dana@dana.is>

	* unposted: NEWS, README: update README and NEWS for 5.9.1

2026-05-22  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Src/Modules/curses.c: fix missing return keyword
	in 54552

2026-05-21  dana  <dana@dana.is>

	* unposted: Src/parse.c, Test/A09zwc.ztst, Test/B14zwc.ztst:
	add error message and improve tests for w/54571

	* Michael Ridgway: 54571: Src/parse.c, Test/B14zwc.ztst: bound
	h->npats in .zwc loader

	* unposted: Test/D07multibyte.ztst: add regression test for
	w/54583

	* LY: 54583: Src/loop.c: loop.c: stop destructive unmetafy in
	selectlist()

	* 54574: Completion/Base/Utility/_numbers: align descriptions

2026-05-18  Oliver Kiddle  <opk@zsh.org>

	* github #172: gi1242: Completion/X/Command/_sioyek: Completion
	for "sioyek" (PDF viewer)

	* unposted: Completion/Unix/Command/_init_d: complete network
	interfaces for the netif service given new workings for jails

	* Nick Price: github #166: Completion/Unix/Command/_init_d,
	Completion/BSD/Command/_jail, Completion/BSD/Type/_jails:
	complete names of non-running FreeBSD jails

	* 54578: Completion/Base/Utility/_numbers: relacement for 52373
	without breaking use of the format style with a unit-suffixes tag

	* 54577: Completion/Unix/Command/_env: restore environment variable
	completion to env

	* 54576: Completion/Unix/Command/_git: adapt git config completon
	to new sub-commands

2026-05-18  dana  <dana@dana.is>

	* Michael Kuhn: github #160 (tweaked):
	Completion/X/Command/_papers: New Papers completion

2026-05-16  dana  <dana@dana.is>

	* unposted: Util/zsh-merge-changelog: zsh-merge-changelog: find
	even more context

	* github #169: Completion/Unix/Command/_darcs: update _darcs
	from up-stream

2026-05-16  Mikael Magnusson  <mikachu@gmail.com>

	* 54525: Src/init.c: interrupt during redirect to fifo doesn't
	run precmd

	* 54568: Doc/Zsh/mod_zutil.yo, Src/Modules/zutil.c: zformat:
	fix some misparse and overrun issues

	* 54567: Src/Modules/zselect.c: zselect: don't pass fd>=FD_SETSIZE
	to FD_SET

	* 54566: Src/Modules/zpty.c: zpty: fix some issues

	* 54565: Src/Modules/watch.c: watch: increase a quite tight
	bound on format length

	* 54564: Src/Modules/termcap.c, Src/Modules/terminfo.c: termcap,
	terminfo: reset u, fix metafy confusion

	* 54563: Src/Modules/stat.c, Src/Modules/system.c: stat, system:
	minor fixes

	* 54561: Src/Modules/regex.c: regex: regfree on pattern where
	regcomp failed could be undefined behavior

	* 54557: Src/Modules/langinfo.c: langinfo: fix some metafy
	confusion

	* 54556: Src/Modules/langinfo.mdd: langinfo.mdd check was
	always true

	* 54554: Src/Modules/curses.c: curses: use setcchar in zccmd_bg
	if available

	* 54553: Src/Modules/curses.c: curses: free subwindows before
	parents or they don't get freed at all

	* 54552: Src/Modules/curses.c: curses: fix a few issues

	* 54551: Src/Modules/clone.c: clone: minor style issue

	* 54550: Src/Modules/cap.c: cap: fix leaks

	* 54549: Src/Modules/attr.c, Src/Modules/attr.mdd: attr: various
	minor issues

	* 54546: Src/hist.c: Remove incorrect array access that was also
	never used

	* 54545: Src/Modules/system.c, Src/Zle/compresult.c, Src/glob.c,
	Src/subst.c, Src/utils.c: A few very minor things coverity
	complained about

	* 54544: Src/Modules/zpty.c: Coverity CID 439086 fix potential
	leak of prog in ptyread()

	* 54542: Src/Modules/zutil.c: Coverity CID 1692320 fix leak
	of match1

	* 54541: Src/utils.c: Coverity CID 1255748 check return value
	from stat()

	* 54540: Src/jobs.c: Coverity CID 1637388 avoid clobbering sig

	* 54539: Src/parse.c: Coverity CID 1692314 avoid overflowing
	version field in dump header

	* 54538: Src/exec.c: Coverity CID 1637382 bsiz can overflow when
	reading a large heredoc

	* 54536: Src/exec.c: Coverity CID 1255827 Fix leak of prog
	in loadautofn()

	* 54548: Src/Modules/zftp.c: zftp: fix some mistakes

	* 54533: Completion/Unix/Command/_gcc: _gcc: fix some funny
	autogenerated artifacts and other typos

	* 54532: Completion/Unix/Command/_ansible,
	Completion/Unix/Command/_df, Completion/Unix/Command/_ffmpeg,
	Completion/Unix/Command/_find, Completion/Unix/Command/_ip,
	Completion/Unix/Command/_lsof, Completion/Unix/Command/_mount,
	Completion/Unix/Command/_netstat, Completion/Unix/Command/_rsync,
	Completion/Unix/Command/_sed, Completion/Unix/Command/_sort,
	Completion/Unix/Command/_subversion,
	Completion/Unix/Command/_sudo, Completion/Unix/Command/_tmux,
	Completion/Unix/Command/_wget, Completion/Zsh/Command/_zstyle:
	completers: various small fixes

	* 54531: Completion/BSD/Command/_kdump,
	Completion/BSD/Command/_ktrace, Completion/Linux/Command/_ipset,
	Completion/Linux/Command/_iptables,
	Completion/Unix/Command/_darcs, Completion/Unix/Command/_ln,
	Completion/Unix/Command/_mv, Completion/Unix/Command/_rm,
	Completion/Unix/Command/_rmdir: completers: remove spurious ;
	in "case $foo; in"

	* 54530: Completion/Base/Completer/_all_matches,
	Doc/Zsh/compsys.yo: Fix typo in default value for avoid-completer

2026-05-15  dana  <dana@dana.is>

	* unposted: Util/zsh-merge-changelog: find more context

2026-05-14  Oliver Kiddle  <opk@zsh.org>

	* 54527: Src/Zle/zle_misc.c: don't start a vi change from emacs mode

	* 54528: Completion/Linux/Command/_valgrind,
	Completion/Linux/Command/_selinux, Completion/Linux/Command/_strace,
	Completion/Unix/Command/_ansible, Completion/Unix/Command/_attr,
	Completion/Unix/Command/_diffstat, Completion/Unix/Command/_dig,
	Completion/Unix/Command/_entr, Completion/Unix/Command/_git,
	Completion/Unix/Command/_gphoto2, Completion/Unix/Command/_ip,
	Completion/Unix/Command/_jq, Completion/Unix/Command/_mtr,
	Completion/Unix/Command/_pandoc, Completion/Unix/Command/_pv,
	Completion/Unix/Command/_sqlite, Completion/X/Command/_pdftk:
	completion option updates and minor cleanups

	* 54526: Completion/BSD/Command/_ipfw, Completion/BSD/Command/_mdo,
	Completion/BSD/Command/_jls, Completion/BSD/Command/_jail,
	Completion/BSD/Command/_pfctl, Completion/BSD/Command/_sockstat,
	Completion/Unix/Command/_column, Completion/Unix/Command/_id,
	Completion/Unix/Command/_ls, Completion/Unix/Command/_ps,
	Completion/Unix/Command/_service, Completion/Unix/Command/_timeout,
	Completion/Unix/Command/_zdump, Completion/Unix/Command/_zfs,
	Completion/Unix/Type/_date_formats:
	update completions for FreeBSD 14.4 and 15.0

2026-05-11  dana  <dana@dana.is>

	* 54501: Completion/Unix/Command/_chdman,
	Completion/Unix/Command/_fish, Completion/Unix/Command/_nano:
	add chdman, fish, nano

	* 54518: Util/zsh-merge-changelog: add git merge driver

2026-05-11  Mikael Magnusson  <mikachu@gmail.com>

	* 54479: Src/exec.c: Fix use-after-free when handling TRAPEXIT

	* 54499: Doc/Zsh/manual.yo, Doc/ztexi.yo: Add missing detailmenu
	texi markup

	* 54493: Src/Modules/socket.c: socket: fix some issues with
	socket name

	* 54481: Src/Zle/zle_misc.c: Move variable into scope where
	it's used

	* 54483: Src/Zle/zle_hist.c, Src/Zle/zle_misc.c,
	Src/Zle/zle_params.c, Src/Zle/zle_utils.c, Src/Zle/zle_vi.c:
	Make sure zleline is null-terminated

	* 54480: Src/Zle/zle_vi.c: Wrong memcmp variant used in
	getvirange()

2026-05-10  Oliver Kiddle  <opk@zsh.org>

	* unposted: Completion/Linux/Command/_selinux: complete files
	after semanage fcontext -e

	* 54445: Completion/Unix/Type/_terminals: parse termcap
	and full terminfo source formats to support more systems

	* unposted: Completion/Linux/Command/_selinux: complete files
	after semanage fcontext -e

	* 54445: Completion/Unix/Type/_terminals: parse termcap
	and full terminfo source formats to support more systems

2026-05-09  Bart Schaefer  <schaefer@zsh.org>

	* Philippe Altherr: 54374: Src/exec.c Test/C03traps.ztst: Run
	ZERR trap on zsh errors as well as external command errors

2026-05-04  dana  <dana@dana.is>

	* 54450: Doc/Zsh/compsys.yo: improve _describe documentation

	* 54448: Completion/Linux/Command/_btrfs,
	Completion/Unix/Command/_base64, Completion/Unix/Command/_tree,
	Completion/Zsh/Command/_emulate: update base64, btrfs, emulate,
	tree

2026-05-03  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/Cygwin/Command/_cygcheck,
	Completion/Linux/Command/_acpi, Completion/Unix/Command/_myrepos,
	Completion/Unix/Command/_tex: remove the 'this' from 'show this
	help and exit' in completers

2026-05-03  dana  <dana@dana.is>

	* unposted: Test/Y01completion.ztst: Y01: fix test broken by
	_echo

	* unposted: Completion/Darwin/Command/_caffeinate,
	Completion/Linux/Command/_mdadm, Completion/Unix/Command/_man:
	add missing + to some short-option specs

	* unposted: Completion/Unix/Command/_echo: add _echo

2026-05-02  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/Unix/Command/_mpc: fix typo for -h flag

2026-05-02  dana  <dana@dana.is>

	* 54423 (tweaked): Completion/Zsh/Command/_compinit,
	Completion/compinit, Doc/Zsh/compsys.yo: compinit: improve and
	document -w

2026-04-30  Oliver Kiddle  <opk@zsh.org>

	* Ryan Rotter: 54218: Completion/Unix/Command/_ip: add some
	missing flags

	* Christopher Bock: github #168: Completion/Debian/Command/_apt:
	add apt history commands

	* unposted: Completion/X/Command/_nedit: nedit-client is
	also commonly used as as the name for nc

	* unposted: Completion/Unix/Command/_ghostscript,
	Completion/Unix/Type/_pspdf: ghostscript completion does a
	better job of handling gsnd

	* unposted: Completion/Unix/Command/_lua: complete also for
	FreeBSD's flua

	* unposted: Completion/Unix/Command/_sudo: fix for approximate
	completion/correction

2026-04-29  dana  <dana@dana.is>

	* unposted: Completion/Linux/Command/_opkg: guard zparseopts
	long-option specs

	* unposted: Completion/Zsh/Command/_compinit: add _compinit

2026-04-28  dana  <dana@dana.is>

	* 54394: Completion/Unix/Command/_7zip: add _7zip

	* Matt Koscica: github #167: Completion/Unix/Command/_tmux:
	include new options added between 3.4 and next-3.7

2026-04-13  dana  <dana@dana.is>

	* dana + Jun T: 54329 + 54339: Doc/Makefile.in, Doc/intro.ms:
	replace pdfroff by `groff -Tpdf`

2026-04-08  Mikael Magnusson  <mikachu@gmail.com>

	* 54319: Completion/compinit: turn off AUTO_NAME_DIRS option
	in completion

2026-04-05  Oliver Kiddle  <opk@zsh.org>

	* Ronan Pigott: 54208: Completion/Unix/Command/_cp:
	allow multiple --preserve flags

	* 54276: Completion/Unix/Command/_zfs: fix to add full list
	of compression algorithms as completion matches

2026-04-05  dana  <dana@dana.is>

	* Bao Trinh: github #156: Completion/Unix/Command/_git: fix
	--git-dir and --work-tree options when used with parameters

	* Christopher Bock: github #153: Completion/Unix/Command/_zfs:
	_zfs update zpool-prop's

2026-04-03  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Eisuke Kawashima: github #163: Completion/Unix/Command/_ssh:
	fix completion of ssh (option -E)

	* Eisuke Kawashima: github #155: Completion/Unix/Command/_git:
	update git completion

	* Christopher Bock: github #152: Completion/Debian/Command/_apt:
	_apt fix typos

2026-03-24  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 54241 + 54242: Completion/Unix/Type/_path_commands,
	Completion/Zsh/Type/_parameters, Doc/Zsh/compsys.yo,
	Test/Y01completion.ztst: use extra-verbose style for displaying
	parameter values when completing parameter names

2026-03-09  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 54185 + 54209: Completion/Unix/Command/_find,
	Completion/Unix/Command/_git, Completion/Unix/Command/_iftop,
	Completion/Unix/Command/_tcpdump, Completion/Zsh/Type/_globquals,
	Completion/Zsh/Type/_parameters, Test/Y01completion.ztst: set
	default value of verbose style to true

2025-12-21  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53959+54149: Src/glob.c, Test/D02glob.ztst: when redirecting
	to/from a pattern (MULTIOS) and if there is no match, issue an
	error even if NULL_GLOB is in effect.

2025-12-16  Oliver Kiddle  <opk@zsh.org>

	* Christopher Bock: 54148: Completion/Debian/Command/_apt:
	use same set of options for apt as with apt-get

2025-11-30  Oliver Kiddle  <opk@zsh.org>

	* Christopher Bock: 54117: update apt completion

2025-11-24  Oliver Kiddle  <opk@zsh.org>

	* 54104: Src/parse.c, Src/zsh.h: fix bug with packing strings
	into wordcode

	* 54094: Completion/Unix/Command/_base64,
	Completion/Unix/Command/_basename, Completion/Unix/Command/_cat,
	Completion/Unix/Command/_chmod, Completion/Unix/Command/_chown,
	Completion/Unix/Command/_chroot, Completion/Unix/Command/_cksum,
	Completion/Unix/Command/_comm, Completion/Unix/Command/_cp,
	Completion/Unix/Command/_csplit, Completion/Unix/Command/_cut,
	Completion/Unix/Command/_date, Completion/Unix/Command/_dd,
	Completion/Unix/Command/_df, Completion/Unix/Command/_du,
	Completion/Unix/Command/_env, Completion/Unix/Command/_fmt,
	Completion/Unix/Command/_fold, Completion/Unix/Command/_head,
	Completion/Unix/Command/_id, Completion/Unix/Command/_install,
	Completion/Unix/Command/_join, Completion/Unix/Command/_ln,
	Completion/Unix/Command/_ls, Completion/Unix/Command/_mkdir,
	Completion/Unix/Command/_mkfifo, Completion/Unix/Command/_mknod,
	Completion/Unix/Command/_mktemp, Completion/Unix/Command/_mv,
	Completion/Unix/Command/_nice, Completion/Unix/Command/_nl,
	Completion/Unix/Command/_od, Completion/Unix/Command/_paste,
	Completion/Unix/Command/_pr, Completion/Unix/Command/_readlink,
	Completion/Unix/Command/_rm, Completion/Unix/Command/_rmdir,
	Completion/Unix/Command/_seq, Completion/Unix/Command/_sort,
	Completion/Unix/Command/_split, Completion/Unix/Command/_stat,
	Completion/Unix/Command/_stdbuf, Completion/Unix/Command/_tac,
	Completion/Unix/Command/_tail, Completion/Unix/Command/_tee,
	Completion/Unix/Command/_touch, Completion/Unix/Command/_tr,
	Completion/Unix/Command/_truncate, Completion/Unix/Command/_tty,
	Completion/Unix/Command/_uname, Completion/Unix/Command/_unexpand,
	Completion/Unix/Command/_uniq, Completion/Unix/Command/_wc,
	Completion/Unix/Command/_who: handle rust coreutils in completions

2025-11-22  dana  <dana@dana.is>

	* 54092 (tweaked): Completion/Unix/Command/_git: improve format
	completion

2025-11-17  Oliver Kiddle  <opk@zsh.org>

	* Arseny Maslennikov: 54091: Completion/Unix/Command/_git:
	add support for more pretty format specifiers

	* Christopher Bock: 54084: Completion/Zsh/Command/_which: use
	_numbers for whence -x

	* Christopher Bock: 54085: Completion/Unix/Command/_tput:
	complete tput -v option on Linux

	* Christopher Bock: 54080 (tweaked): Completion/Debian/Command/_bts:
	update tags in bts completion

	* 54034: Completion/compinit: ignore completer filenames with funny
	characters in them

2025-11-16  dana  <dana@dana.is>

	* 53671: Src/hist.c, Test/D02glob.ztst: hist: untokenise input
	to :A and :P

	* 53578 (tweaked): Src/Zle/computil.c, Src/builtin.c,
	Src/exec.c: silence gcc warnings

	* 53577: Completion/Unix/Command/_git: improve max-verbose,
	other descriptions

2025-11-12  Oliver Kiddle  <opk@zsh.org>

	* Heon Jeong: 54008: Src/Zle/compmatch.c: infinite loop running
	completion with specific multibyte character and locale combination

	* Christopher Bock: 54026: Completion/Debian/Command/_uscan:
	update uscan options

	* Christopher Bock: 54025: Completion/Debian/Command/_apt:
	complete apt-mark minimize-manual

	* 54071: Completion/Zsh/Type/_ps1234: fix prompt colour completion

2025-11-03  Oliver Kiddle  <opk@zsh.org>

	* Christopher Bock: github #148: Completion/Unix/Command/_fortune:
	complete fortune databases

	* 54022: Completion/BSD/Command/_fw_update,
	Completion/BSD/Command/_rcctl, Completion/Unix/Command/_sysctl,
	Completion/Unix/Command/_watch: completion updates for openbsd 7.8

	* 54020: configure.ac: add library for network support on Haiku OS

	* 54019: configure.ac, Makefile.in, Src/params.c, Test/ztst.zsh,
	Src/Builtins/rlimits.c, Src/Modules/curses.mdd: AIX support fixes

2025-10-31  Oliver Kiddle  <opk@zsh.org>

	* LangLangbart: github #149: Completion/Darwin/Command/_say:
	improve voice name parsing in say completion

	* 54012: Src/subst.c: fix use of out of scope array variable

	* 54007: Src/exec.c, Src/hist.c, Src/init.c, Src/jobs.c, Src/module.c,
	Src/params.c, Src/signals.c, Src/Zle/complete.c, Src/Zle/zle_misc.c,
	Src/Zle/compresult.c, Src/Zle/zle_keymap.c, Src/Zle/zle_main.c:
	remove some uses of mod_export that were likely unintended

2025-10-26  Bart Schaefer  <schaefer@zsh.org>

	* Philippe: 53732: avoid tail-call exec in always block

2025-10-24  Oliver Kiddle  <opk@zsh.org>

	* 54002: Src/parse.c: silence compiler warning for static function

	* 54001: Src/Zle/zle_keymap.c, Src/exec.c, Src/input.c, Src/jobs.c,
	Src/utils.c: add missing uses of mod_export

2025-10-23  Oliver Kiddle  <opk@zsh.org>

	* Christopher Bock: github #131 (with tweaks by dana):
	Completion/Debian/Command/_dpkg, Completion/Debian/Command/_schroot,
	Completion/Unix/Command/_libvirt, Completion/Debian/Type/_deb_files,
	Completion/Debian/Command/_madison,
	Completion/Unix/Command/_smartmontools: add missing options

	* Kevin Cox: github #147: Completion/Unix/Command/_git,
	Completion/Unix/Command/_ssh, Completion/Unix/Type/_hosts:
	Clean up some leaked variables in completion functions

	* 53999: Src/module.c: remove further remnants of ansi2knr
	support from AIX specific code

	* 54000: Completion/BSD/Command/_bectl: new completion

2025-10-21  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Mike Gilbert: 53992: Src/utils.c, configure.ac: check for
	declaration of fpurge() instead of its link-ability (as a
	workaround of the problem of musl-libc)

2025-10-02  Oliver Kiddle  <opk@zsh.org>

	* 53985: Completion/Unix/Command/_git: update to 2.51

2025-09-30  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Christoph Erhardt: 53981: Completion/Redhat/Command/_dnf5:
	fix completion of local rpm files

2025-09-29  Oliver Kiddle  <opk@zsh.org>

	* Ryan Rotter: github #145: Completion/Unix/Command/_install:
	update options completion

	* 53970 based on github #131 by Christopher Bock:
	Completion/Unix/Command/_zfs: complete all dataset properties
	for zfs allow and support comma separated list for zfs scripts

	* 53969: Completion/Unix/Command/_date,
	Completion/Unix/Command/_env, Completion/Unix/Command/_ping:
	completion updates for Unix utilities in macOS 15.5

	* 53968: Completion/Linux/Command/_blkid,
	Completion/Linux/Command/_lvm2: new lvm2 and blkid completions

2025-09-25  Oliver Kiddle  <opk@zsh.org>

	* 53967: Completion/BSD/Command/_procstat,
	Completion/BSD/Command/_jexec, Completion/BSD/Command/_sockstat,
	Completion/Unix/Command/_sysctl, Completion/Unix/Command/_top,
	Completion/Unix/Command/_timeout, Completion/Unix/Command/_uniq:
	update completions affected by FreeBSD 14.3

	* 53966: Completion/Linux/Command/_networkmanager:
	update based on nmcli 1.52.0

2025-09-24  Oliver Kiddle  <opk@zsh.org>

	* Markus Kurtz: github #143: Completion/Unix/Command/_git:
	list only remote branches for `git checkout --guess`

	* Elliot Berman: github #142: Completion/Unix/Command/_git:
	fix text for git merge --squash/--no-squash

	* Christopher Bock: github #141 (tweaked):
	Completion/Debian/Command/_apt: complete apt why/why-not

	* Eisuke Kawashima: github #139: Completion/Unix/Command/_ssh:
	fix and improve completion for ssh-keygen

	* 53947: Completion/Unix/Command/_ansible: fix for broken
	completion of tags and paths with ansible-galaxy

2025-09-03  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53907: Src/jobs.c: re-apply the patch in 51602 (Handle SIGIOT
	as an alias to SIGABRT) that was mistakenly reverted by 51604

2025-09-01  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53898: Completion/Unix/Command/_date,
	Completion/Unix/Command/_pgrep, Completion/Unix/Command/_pmap
	Completion/Unix/Command/_sysctl: update a few completers.
	_pmap is moved from Linux/Command/ to Unix/Command/.

2025-08-28  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53866: Completion/Unix/Command/_man: fix _man for NetBSD

2025-08-07  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53827: Completion/Debian/Command/_sbuild: fix/update _sbuild

2025-08-04  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* Dima Kogan: 53824: Completion/Debian/Command/_sbuild: short
	options with arg should be "-c arg" (not "-c=arg")

	* Frederick Zhang: 53825: Completion/Unix/Command/_git: fix
	regexp in __git_extract_aliases

2025-06-05  dana  <dana@dana.is>

	* Ryan Rotter: 53734, 53735: Completion/Unix/Command/_hostname,
	Completion/Unix/Command/_trash: update macos completions

	* Christopher Bock: github #131:
	Completion/Debian/Command/_apt-file,
	Completion/Debian/Command/_bug,
	Completion/Debian/Command/_debsnap,
	Completion/Debian/Type/_deb_architectures,
	Completion/Linux/Command/_losetup,
	Completion/Unix/Command/_rsync, Completion/X/Command/_x_utils:
	minor updates

	* Christopher Bock: github #131:
	Completion/Debian/Command/_wanna-build: remove wanna-build

	* Christopher Bock: github #131:
	Completion/Debian/Command/_debmany,
	Completion/Debian/Command/_dhomepage,
	Completion/Debian/Command/_dpkg-info,
	Completion/Debian/Command/_which-pkg-broke: complete debmany,
	dhomepage, dpkg-info, which-pkg-broke

2025-06-05  Mikael Magnusson  <mikachu@gmail.com>

	* unposted: Completion/Unix/Command/_subversion: fix return
	value in _subversion

2025-06-04  dana  <dana@dana.is>

	* bryango: github #138: Completion/Darwin/Command/_networksetup:
	fix socks flags

2025-06-03  dana  <dana@dana.is>

	* 53709: Test/D02glob.ztst: add misc. glob-qualifier tests

	* github #136: Completion/Unix/Command/_col: complete col

2025-06-01  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53807: Completion/Darwin/Command/_nettop: new completion

	* 53806: Completion/Unix/Command/_lldb: fix/update _lldb

	* 53805: Completion/Unix/Command/_less: update for less-678

2025-05-26  dana  <dana@dana.is>

	* Ling Wang: 53677: Completion/Unix/Command/_gcc: add more -std
	dialects

2025-05-25  dana  <dana@dana.is>

	* github #137 (tweaked): Christopher Bock:
	Completion/Unix/Command/_cacaclock: completion: add cacaclock
	(caca-utils)

2025-05-18  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* unposted (mentioned on github #134):
	Completion/Unix/Command/_git: __git_worktrees: Match the order
	of $(git worktree list).

	* github #134 (+ implement commit review suggestion):
	Completion/Unix/Command/_git: __git_worktrees: Use a library
	function

2025-05-16  dana  <dana@dana.is>

	* 53626: Test/B13whence.ztst: make `whence -s` test use `grep -c`
	instead of `wc -l`

2025-05-14  Daniel Shahaf  <d.s@daniel.shahaf.name>

	* 53607: Src/utils.c, Test/B13whence.ztst: Stop printing
	/usr/bin/foo -> /usr/bin/foo in 'whence -s'.

	* 53524 (cf. 53607): Test/B13whence.ztst: Add an XFAIL test for a
	'whence -s' bug involving non-symlink arguments.

2025-05-13  dana@dana.is  <dana@dana.is>

	* 53588 (tweaked): Src/Modules/system.c, Test/V14system.ztst:
	make `zsystem flock` handle optargs in the same word

2025-05-01  Peter Stephenson  <p.stephenson@samsung.com>

	* 53529: Test/A04redirect.ztst: Avoid using system area for
	non-existent files as permissions may affect the result.

2025-04-20  Eric Cook  <illua@users.sourceforge.net>

	* 53463: Completion/Unix/Type/_hosts: allow overriding the default
	matching control


2025-04-04  Oliver Kiddle  <opk@zsh.org>

	* Kyle Andelin: 53449: Completion/Zsh/Context/_subscript:
	do not complete indices for empty array subscripts

	* 53445: Completion/Unix/Type/_path_commands: extra-verbose mode
	support on some recent Linux and BSD systems

2025-02-28  Oliver Kiddle  <opk@zsh.org>

	* 53395: Completion/Unix/Type/_zfs_dataset,
	Completion/Unix/Command/_zfs:
	complete snapshot ranges for zfs destroy

	* Ronan Pigott: 53393: Completion/Unix/Command/_python,
	Completion/Unix/Command/_python_module-http.server,
	Completion/Unix/Command/_python_module-json.tool,
	Completion/Unix/Command/_python_module-venv:
	Complete python module arguments

2025-02-27  Oliver Kiddle  <opk@zsh.org>

	* github #129: Vadim Misbakh-Soloviov:
	Completion/Unix/Command/_gpg: fix _gpg completion

2025-02-12  Bart Schaefer  <schaefer@zsh.org>

	* 53360: Src/Zle/complist.c: domenuselect() fails if the previous
	completion did not generate a list (fix for segfault)

2025-02-04  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* unposted: Doc/Makefile.in, Etc/Makefile.in: remove a few more
	files by 'make clean'

2025-01-30  Oliver Kiddle  <opk@zsh.org>

	* github #118: Eisuke Kawashima: Completion/Unix/Command/_git:
	git rebase non-interactive mode also supports --autosquash

	* 53336: Doc/Makefile.in, Etc/Makefile.in:
	avoid GNU make specific use of $< in a non-inference rule

2025-01-27  Oliver Kiddle  <opk@zsh.org>

	* github #128: GI <gi1242+zsh@gmail.com>:
	Completion/Unix/Command/_vim: Updated completion for neovim

	* github #125: Kouhei Yanagita: Completion/Unix/Command/_ruby:
	Add completion for irb --no-pager

	* unposted: Completion/Unix/Command/_openldap: fix quoting

	* 53327: Completion/Unix/Command/_git: update for git 2.47

	* 53328: Completion/Linux/Command/_cpupower,
	Completion/Linux/Command/_cryptsetup,
	Completion/Linux/Command/_ethtool,
	Completion/Linux/Command/_iptables,
	Completion/Linux/Command/_selinux, Completion/Linux/Command/_sshfs,
	Completion/Linux/Command/_valgrind, Completion/Unix/Command/_abcde,
	Completion/Unix/Command/_dig, Completion/Unix/Command/_flac,
	Completion/Unix/Command/_gnutls, Completion/Unix/Command/_jq,
	Completion/Unix/Command/_pv, Completion/Unix/Command/_sqlite,
	Completion/Unix/Command/_ssh, Completion/X/Command/_zeal: 
	completion options update

	* 53326: Completion/Linux/Command/_findmnt,
	Completion/Linux/Command/_free, Completion/Linux/Command/_losetup,
	Completion/Linux/Command/_lsblk, Completion/Linux/Command/_pidof,
	Completion/Linux/Command/_slabtop, Completion/Linux/Command/_wipefs,
	Completion/Unix/Command/_awk, Completion/Unix/Command/_chmod,
	Completion/Unix/Command/_chown, Completion/Unix/Command/_cmp,
	Completion/Unix/Command/_find, Completion/Unix/Command/_hexdump,
	Completion/Unix/Command/_last, Completion/Unix/Command/_mv,
	Completion/Unix/Command/_objdump, Completion/Unix/Command/_pgrep,
	Completion/Unix/Command/_ping, Completion/Unix/Command/_ps,
	Completion/Unix/Command/_readelf, Completion/Unix/Command/_strip,
	Completion/Unix/Command/_uptime, Completion/Unix/Command/_w:
	completion updates for core Linux utils

	* 53325: Completion/BSD/Command/_acpiconf,
	Completion/BSD/Command/_bsdconfig, Completion/BSD/Command/_pkgin,
	Completion/BSD/Command/_procstat, Completion/BSD/Command/_sockstat,
	Completion/BSD/Command/_systat, Completion/Unix/Command/_date,
	Completion/Unix/Command/_df, Completion/Unix/Command/_dhclient,
	Completion/Unix/Command/_dmidecode, Completion/Unix/Command/_env,
	Completion/Unix/Command/_iostat, Completion/Unix/Command/_last,
	Completion/Unix/Command/_ls, Completion/Unix/Command/_mv,
	Completion/Unix/Command/_ps, Completion/Unix/Command/_script,
	Completion/Unix/Command/_sed, Completion/Unix/Command/_vmstat,
	Completion/Unix/Command/_w, Completion/Unix/Command/_wc,
	Completion/Unix/Command/_zfs: cover newer BSD releases in completion

2025-01-20  Bart Schaefer  <schaefer@zsh.org>

	* Julian Prein: 53309: Completion/Unix/Command/_uniq: remove
	uncommon / obsolete options -t and -W

2025-01-03  Bart Schaefer  <schaefer@zsh.org>

	* 53294: Src/loop.c: fix multibyte handling in "select" prompts

2024-12-16  dana  <dana@dana.is>

	* 53251: Completion/Unix/Command/_man: fix page completion on
	macOS, update fall-back paths, etc.

2024-11-23  Oliver Kiddle  <opk@zsh.org>

	* Clinton Bunch: 53228: Etc/FAQ.yo: Remove references to
	Patches "Archive" from FAQ

	* github #122: Wu, Zhenyu: Completion/Unix/Command/_gcc: Add
	newer C and C++ language standards to gcc completion

	* github #123: Shlomi Fish: Completion/X/Command/_okular:
	Make okular's completion support *.epub files.

	* github #124: Ryan Rotter: Completion/Debian/Command/_dpkg:
	remove defunct --largemem, --smallmem options

	* 53244: Test/Y01completion.ztst: rename user in test case to
	reduce likelihood of failure due to user existing

2024-11-21  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53238 (+53239 Mikael): Completion/Redhat/Command/_dnf,
	Completion/Redhat/Command/_dnf5: support dnf5

2024-11-12  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53137 + 53213: Doc/Makefile.in, Doc/intro.ms, allow creating
	intro.html

2024-11-12  Bart Schaefer  <schaefer@zsh.org>

	* Karel Balej: 53240, 53241: Completion/Unix/Command/_mpc:
	updated completions for mpc add, mpc insert

2024-11-11  Eric Cook  <llua@gmx.com>

	* Matthew Martin: 53174 + comments:
	Completion/Base/Utility/_as_if: complete `as if'
	a different command were being completed

	* 53144: Completion/Unix/Command/_sysctl:
	support completion with the dot delimiter on linux

2024-11-05  Bart Schaefer  <schaefer@toltec-ubuntu>

	* 53209 + comments + test: Src/params.c, Test/D04parameter.ztst:
	do not unmetafy via string pointers into global parameter table

2024-10-16  Bart Schaefer  <schaefer@toltec-ubuntu>

	* 53146: Src/exec.c: trace flags cannot be copied from an
	undefined function (cf. workers/45131)

2024-09-18  Oliver Kiddle  <opk@zsh.org>

	* Philip Sequeira: 53095: Completion/Unix/Command/_chmod,
	Completion/Unix/Command/_chown: fix completion for chmod/chown
	--reference with escaped filename

	* 53093: Src/input.c: silence compiler warning when USE_LSEEK
	is not defined

2024-09-14  Oliver Kiddle  <opk@zsh.org>

	* c.f. Emil Velikov: 53072: Completion/Linux/Command/_dkms:
	remove completion that has been imported by the upstream project

	* 53086: configure.ac: change flags used for building dynamic
	modules on Haiku OS

	* 53084: configure.ac: yet another approach to the /dev/fd
	autoconf test because of shells emulating /dev/fd

	* 53081: INSTALL, configure.ac, Src/init.c, Src/options.c,
	Src/signals.c, Src/zsh_system.h: remove old BeOS support code

	* 53080: configure.ac, Src/init.c, Src/signals.c, Src/signals.h:
	remove code for systems that only have the old pre-POSIX signal()

2024-09-02  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 53134: configure.ac: use -undefined dynamic_lookup on recent macOS

2024-08-31  Oliver Kiddle  <opk@zsh.org>

	* github #120: Semnodime: Completion/Unix/Command/_git: update
	_git to reflect `--recursive` being an alias

	* 53058: Completion/Unix/Command/_zstd: new completion for zstd

	* 53057: Completion/Zsh/Context/_equal: complete glob qualifiers
	following an equals expansion

	* 53052: Completion/X/Command/_setxkbmap: update completion with
	newer options

2024-08-13  Eric Cook  <llua@gmx.com>

	* 53031: Christian Heusel: Completion/Unix/Command/_git: add
	missing terminator in case statement

2024-08-05  Bart Schaefer  <schaefer@zsh.org>

	* 53023: Src/params.c: fix memory leak of unset private parameter

2024-08-04  Bart Schaefer  <schaefer@zsh.org>

	* Philippe Altherr: 53005: Src/exec.c: off-by-one error when
	resetting signals on subshell entrance

2024-08-03  Eric Cook  <llua@gmx.com>

	* 52989: Completion/Unix/Command/_rsync,
	Completion/Unix/Type/_remote_files: support rsync 3.2.4+ remote
	filename handling.

2024-06-24  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52968: Doc/Makefile.in: use pdfroff to create intro.pdf

2024-06-13  Jun-ichi Takimoto  <takimoto-j@kba.biglobe.ne.jp>

	* 52951: Src/builtin.c: make sure to close memstream for 'print -v'

2024-05-24  Bart Schaefer  <schaefer@zsh.org>

	* 52904: Completion/Unix/Command/_git: Improve quoting of paths
	passed via _call_program to "git ls-files"

2024-05-20  Mikael Magnusson  <mikachu@gmail.com>

	* 52895: Completion/Unix/Type/_baudrates: Partial revert of
	44274 which broke _baudrates

2024-04-01  Oliver Kiddle  <opk@zsh.org>

	* github #115: OKURA Masafumi: Completion/Unix/Command/_ruby:
	IRB now has `--regexp-completor` and `--type-completor` options

2024-03-25  Oliver Kiddle  <opk@zsh.org>

	* 52798: Completion/Unix/Command/_ssh,
	Completion/Unix/Type/_ssh_hosts: handle comments in ssh config

2024-03-20  Oliver Kiddle  <opk@zsh.org>

	* unposted: configure.ac: remove reference to fp_PROG_CC_STDC
	macro which was removed in 52750

2024-03-18  Oliver Kiddle  <opk@zsh.org>

	* 52770: Completion/Linux/Command/_selinux: handle newrole

	* 52769: Completion/Unix/Command/_ansible: fix completion of
	ansible keywords and --step option

	* 52750: Config/defs.mk.in, Etc/zsh-development-guide,
	Src/Makemod.in.in, Src/Modules/files.c, Src/Modules/watch.c,
	Src/Modules/zftp.c, Src/Modules/zprof.c, Src/Zle/compcore.c,
	Src/Zle/zle.h, Src/Zle/zle_keymap.c, Src/Zle/zle_thingy.c,
	Src/exec.c, Src/glob.c, Src/hist.c, Src/makepro.awk, Src/mem.c,
	Src/mkbltnmlst.sh, Src/modentry.c, Src/parse.c, Src/prototypes.h,
	Src/signals.h, Src/utils.c, Src/zsh.h, Src/zsh_system.h, aclocal.m4,
	configure.ac: remove ansi2knr support for old pre-ansi K&R compilers

2024-03-14  Bart Schaefer  <schaefer@zsh.org>

	* 52752: Src/params.c, Test/B02typeset.ztst: more typeset -p fixes
	for local exports and improper "export -x" / "readonly -r" output.

2024-03-04  Bart Schaefer  <schaefer@zsh.org>

	* unposted (cf. 52615): Src/builtin.c: use META_NOALLOC for 52591

2024-03-02  Bart Schaefer  <schaefer@zsh.org>

	* 52652: Src/params.c, Test/D04parameter.ztst: fix obscure bug
